Subject: Re: [PATCH v7 0/6] serial: mvebu-uart: Support for higher baudrates

From: Gregory CLEMENT <[email-masked]>
Date: Fri, 17 Dec 2021 18:23:00 +0100

Hello Pali,

> On Thursday 30 September 2021 11:58:32 Pali Rohár wrote:
>> This patch series add support for baudrates higher than 230400 on
>> Marvell Armada 37xx boards.
>
> Stephen, Gregory, are there any issues with this patch series?

I am not found of these changes but let's apply it as I didn't take time
to do a better review.

However I can't apply the dt part if the driver is not merged.

Gregory

> If not, could you take them?
>
>> Changes in v7:
>> * fixed lint errors in yaml binding file
>> 
>> Changes in v6:
>> * fixed yaml binding file and dts files
>> 
>> Changes in v5:
>> * fixed yaml binding file
>> 
>> Changes in v4:
>> * converted armada3700-uart-clock documentation to YAML
>> * split documentation changes into two commits:
>>   - first which adds clock documentation
>>   - second which updates UART documentation
>> 
>> Changes in v3:
>> v3 is rebased on top of Linus master branch and all already applied patches
>> were dropped. There are no changes in patches itself since v2.
>> 
>> Pali Rohár (6):
>>   math64: New DIV_U64_ROUND_CLOSEST helper
>>   serial: mvebu-uart: implement UART clock driver for configuring UART
>>     base clock
>>   dt-bindings: mvebu-uart: document DT bindings for
>>     marvell,armada-3700-uart-clock
>>   dt-bindings: mvebu-uart: update information about UART clock
>>   arm64: dts: marvell: armada-37xx: add device node for UART clock and
>>     use it
>>   serial: mvebu-uart: implement support for baudrates higher than 230400
>> 
>>  .../clock/marvell,armada-3700-uart-clock.yaml |  59 ++
>>  .../devicetree/bindings/serial/mvebu-uart.txt |   9 +-
>>  arch/arm64/boot/dts/marvell/armada-37xx.dtsi  |  14 +-
>>  drivers/tty/serial/Kconfig                    |   1 +
>>  drivers/tty/serial/mvebu-uart.c               | 592 +++++++++++++++++-
>>  include/linux/math64.h                        |  13 +
>>  6 files changed, 667 insertions(+), 21 deletions(-)
>>  create mode 100644 Documentation/devicetree/bindings/clock/marvell,armada-3700-uart-clock.yaml
>> 
>> -- 
>> 2.20.1
>> 

-- 
Gregory Clement, Bootlin
Embedded Linux and Kernel engineering
http://bootlin.com

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel